vec4 resultCol;
float dist;
extern float time;
extern float swidth = 50;
extern float sfunction = 2;
extern float fall = 1;
float power;

vec4 effect( vec4 col, Image texture, vec2 texturePos, vec2 screenPos )
{
	dist = distance(texturePos , vec2 (0.5,0.5))*1000;
	if ((dist < time+swidth) && (dist > time-swidth))
	{
		power = 1.0-pow(abs(dist-time)/swidth,sfunction); //0.16
		{
			resultCol = vec4 (normalize(texturePos-vec2 (0.5,0.5))*0.5+vec2 (0.5,0.5), power, fall);
		}
	}
	else
	{
		resultCol = vec4 (0,0,0,0);
	}
	return resultCol;
}
